:PROPERTIES:
:ID:       200416f1-4277-4a2c-ad8c-8a78b3080564
:mtime:    20220109141630
:ctime:    20220109135824
:END:
#+title: GDB

* Présentation
 * From Richard Stallman en 1986,
 * Licence publique générale GNU (GPL).
 * S'inspire du débogueur DBX (distribution Unix de Berkeley).
 * Fonctionne sur de nombreuses architectures de processeur différentes,
 * Permet le débogage distant (par l'intermédiaire d’une liaison série ou d’une connexion IP),
 * Permet de déboguer un programme en cours d’exécution ou post-mortem (analyse de coredump).

* Tips
** Ajouter un chemin pour le chargement des fichiers de symboles des librairies dynamiques n'ayant pas de chemin absolu
#+BEGIN_SRC shell
set solib-search-path /usr/lib/x86_64-linux-gnu/:/tmp/
#+END_SRC

* Références
 * [[https://fr.wikipedia.org/wiki/GNU_Debugger][Wikipedia]]
 * https://visualgdb.com/gdbreference/commands/set_solib-search-path

